NXOpen C++ Reference Guide
 All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Pages
Public Types | Public Member Functions | List of all members
NXOpen::Mechatronics::CamProfileDocumentationBuilder Class Reference

Represents a NXOpen::Mechatronics::CamProfileDocumentationBuilder . More...

Inheritance diagram for NXOpen::Mechatronics::CamProfileDocumentationBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  CurveTypes { CurveTypesStandard2D, CurveTypesRadial2D, CurveTypesRadial3D }
 the cam curve type option. More...
 
enum  PartTypes { PartTypesWorkPart, PartTypesNewAssembly }
 Represents the document part option. More...
 

Public Member Functions

void AddSelectedParts (const std::vector< NXOpen::Part * > &parts)
 Adds selected parts
Created in NX1847.0.0. More...
 
NXOpen::Mechatronics::CamProfileDocumentationBuilder::CurveTypes CamCurveType ()
 Returns the cam curve type . More...
 
bool CreateXYAxis ()
 Returns the option to create axis. More...
 
void DeleteRow (int index)
 Deletes a row. More...
 
NXOpen::Mechatronics::CamProfileDocumentationBuilder::PartTypes DocumentPartType ()
 Returns the document part option . More...
 
NXOpen::NXColorGetRowColor (int index)
 Gets row color. More...
 
bool GetRowState (int index)
 Gets row state. More...
 
void InsertRow (int pos, NXOpen::NXObject *objectTag)
 Inserts a new row. More...
 
NXString Name ()
 Returns the name. More...
 
NXOpen::PointPoint ()
 Returns the point. More...
 
NXOpen::ExpressionRadialCurveBaseRadius ()
 Returns the radial curve base radius. More...
 
void SetCamCurveType (NXOpen::Mechatronics::CamProfileDocumentationBuilder::CurveTypes curveType)
 Sets the cam curve type . More...
 
void SetCreateXYAxis (bool axisOption)
 Sets the option to create axis. More...
 
void SetDocumentPartType (NXOpen::Mechatronics::CamProfileDocumentationBuilder::PartTypes partOption)
 Sets the document part option . More...
 
void SetName (const NXString &name)
 Sets the name. More...
 
void SetName (const char *name)
 Sets the name. More...
 
void SetPoint (NXOpen::Point *pointTag)
 Sets the point. More...
 
void SetRowColor (int index, NXOpen::NXColor *color)
 Sets row color. More...
 
void SetRowState (int index, bool state)
 Sets row state. More...
 
void SetShowAxisScale (bool scaleOption)
 Sets the option to show axis scale. More...
 
void SetShowPoints (bool pointOption)
 Sets the option to show points. More...
 
void SetShowSegmentData (bool dataOption)
 Sets the option to show segment data. More...
 
void SetXAxisLabel (const NXString &xLabel)
 Sets the x axis label. More...
 
void SetXAxisLabel (const char *xLabel)
 Sets the x axis label. More...
 
void SetYAxisLabel (const NXString &yLabel)
 Sets the y axis label. More...
 
void SetYAxisLabel (const char *yLabel)
 Sets the y axis label. More...
 
bool ShowAxisScale ()
 Returns the option to show axis scale. More...
 
bool ShowPoints ()
 Returns the option to show points. More...
 
bool ShowSegmentData ()
 Returns the option to show segment data. More...
 
NXString XAxisLabel ()
 Returns the x axis label. More...
 
NXString YAxisLabel ()
 Returns the y axis label. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Mechatronics::CamProfileDocumentationBuilder .


To create a new instance of this class, use NXOpen::Mechatronics::PhysicsManager::CreateCamProfileDocumentationBuilder

Created in NX1847.0.0.

Member Enumeration Documentation

the cam curve type option.

Enumerator
CurveTypesStandard2D 

2D Standard

CurveTypesRadial2D 

2D Radial

CurveTypesRadial3D 

3D Radial

Represents the document part option.

Enumerator
PartTypesWorkPart 

Work Part.

PartTypesNewAssembly 

New Assembly.

Member Function Documentation

void NXOpen::Mechatronics::CamProfileDocumentationBuilder::AddSelectedParts ( const std::vector< NXOpen::Part * > &  parts)

Adds selected parts
Created in NX1847.0.0.



License requirements : nx_mcd_core ("Mechatronics Concept Designer")

Parameters
partsthe parts used to add to find cam profile.
NXOpen::Mechatronics::CamProfileDocumentationBuilder::CurveTypes NXOpen::Mechatronics::CamProfileDocumentationBuilder::CamCurveType ( )

Returns the cam curve type .


Created in NX1847.0.0.

License requirements : nx_mcd_core ("Mechatronics Concept Designer")

bool NXOpen::Mechatronics::CamProfileDocumentationBuilder::CreateXYAxis ( )

Returns the option to create axis.


Created in NX1847.0.0.

License requirements : nx_mcd_core ("Mechatronics Concept Designer")

void NXOpen::Mechatronics::CamProfileDocumentationBuilder::DeleteRow ( int  index)

Deletes a row.


Created in NX1847.0.0.

License requirements : nx_mcd_core ("Mechatronics Concept Designer")

Parameters
indexindex
NXOpen::Mechatronics::CamProfileDocumentationBuilder::PartTypes NXOpen::Mechatronics::CamProfileDocumentationBuilder::DocumentPartType ( )

Returns the document part option .


Created in NX1847.0.0.

License requirements : nx_mcd_core ("Mechatronics Concept Designer")

NXOpen::NXColor* NXOpen::Mechatronics::CamProfileDocumentationBuilder::GetRowColor ( int  index)

Gets row color.


Created in NX1847.0.0.

License requirements : nx_mcd_core ("Mechatronics Concept Designer")

Parameters
indexindex
bool NXOpen::Mechatronics::CamProfileDocumentationBuilder::GetRowState ( int  index)

Gets row state.


Created in NX1847.0.0.

License requirements : nx_mcd_core ("Mechatronics Concept Designer")

Parameters
indexindex
void NXOpen::Mechatronics::CamProfileDocumentationBuilder::InsertRow ( int  pos,
NXOpen::NXObject objectTag 
)

Inserts a new row.


Created in NX1847.0.0.

License requirements : nx_mcd_core ("Mechatronics Concept Designer")

Parameters
pospos
objectTagobjecttag
NXString NXOpen::Mechatronics::CamProfileDocumentationBuilder::Name ( )

Returns the name.


Created in NX1847.0.0.

License requirements : nx_mcd_core ("Mechatronics Concept Designer")

NXOpen::Point* NXOpen::Mechatronics::CamProfileDocumentationBuilder::Point ( )

Returns the point.


Created in NX1847.0.0.

License requirements : nx_mcd_core ("Mechatronics Concept Designer")

NXOpen::Expression* NXOpen::Mechatronics::CamProfileDocumentationBuilder::RadialCurveBaseRadius ( )

Returns the radial curve base radius.


Created in NX1847.0.0.

License requirements : nx_mcd_core ("Mechatronics Concept Designer")

void NXOpen::Mechatronics::CamProfileDocumentationBuilder::SetCamCurveType ( NXOpen::Mechatronics::CamProfileDocumentationBuilder::CurveTypes  curveType)

Sets the cam curve type .


Created in NX1847.0.0.

License requirements : nx_mcd_core ("Mechatronics Concept Designer")

Parameters
curveTypecurvetype
void NXOpen::Mechatronics::CamProfileDocumentationBuilder::SetCreateXYAxis ( bool  axisOption)

Sets the option to create axis.


Created in NX1847.0.0.

License requirements : nx_mcd_core ("Mechatronics Concept Designer")

Parameters
axisOptionaxisoption
void NXOpen::Mechatronics::CamProfileDocumentationBuilder::SetDocumentPartType ( NXOpen::Mechatronics::CamProfileDocumentationBuilder::PartTypes  partOption)

Sets the document part option .


Created in NX1847.0.0.

License requirements : nx_mcd_core ("Mechatronics Concept Designer")

Parameters
partOptionpartoption
void NXOpen::Mechatronics::CamProfileDocumentationBuilder::SetName ( const NXString name)

Sets the name.


Created in NX1847.0.0.

License requirements : nx_mcd_core ("Mechatronics Concept Designer")

Parameters
namename
void NXOpen::Mechatronics::CamProfileDocumentationBuilder::SetName ( const char *  name)

Sets the name.


Created in NX1847.0.0.

License requirements : nx_mcd_core ("Mechatronics Concept Designer")

Parameters
namename
void NXOpen::Mechatronics::CamProfileDocumentationBuilder::SetPoint ( NXOpen::Point pointTag)

Sets the point.


Created in NX1847.0.0.

License requirements : nx_mcd_core ("Mechatronics Concept Designer")

Parameters
pointTagpointtag
void NXOpen::Mechatronics::CamProfileDocumentationBuilder::SetRowColor ( int  index,
NXOpen::NXColor color 
)

Sets row color.


Created in NX1847.0.0.

License requirements : nx_mcd_core ("Mechatronics Concept Designer")

Parameters
indexindex
colorcolor
void NXOpen::Mechatronics::CamProfileDocumentationBuilder::SetRowState ( int  index,
bool  state 
)

Sets row state.


Created in NX1847.0.0.

License requirements : nx_mcd_core ("Mechatronics Concept Designer")

Parameters
indexindex
statestate
void NXOpen::Mechatronics::CamProfileDocumentationBuilder::SetShowAxisScale ( bool  scaleOption)

Sets the option to show axis scale.


Created in NX1847.0.0.

License requirements : nx_mcd_core ("Mechatronics Concept Designer")

Parameters
scaleOptionscaleoption
void NXOpen::Mechatronics::CamProfileDocumentationBuilder::SetShowPoints ( bool  pointOption)

Sets the option to show points.


Created in NX1847.0.0.

License requirements : nx_mcd_core ("Mechatronics Concept Designer")

Parameters
pointOptionpointoption
void NXOpen::Mechatronics::CamProfileDocumentationBuilder::SetShowSegmentData ( bool  dataOption)

Sets the option to show segment data.


Created in NX1847.0.0.

License requirements : nx_mcd_core ("Mechatronics Concept Designer")

Parameters
dataOptiondataoption
void NXOpen::Mechatronics::CamProfileDocumentationBuilder::SetXAxisLabel ( const NXString xLabel)

Sets the x axis label.


Created in NX1847.0.0.

License requirements : nx_mcd_core ("Mechatronics Concept Designer")

Parameters
xLabelxlabel
void NXOpen::Mechatronics::CamProfileDocumentationBuilder::SetXAxisLabel ( const char *  xLabel)

Sets the x axis label.


Created in NX1847.0.0.

License requirements : nx_mcd_core ("Mechatronics Concept Designer")

Parameters
xLabelxlabel
void NXOpen::Mechatronics::CamProfileDocumentationBuilder::SetYAxisLabel ( const NXString yLabel)

Sets the y axis label.


Created in NX1847.0.0.

License requirements : nx_mcd_core ("Mechatronics Concept Designer")

Parameters
yLabelylabel
void NXOpen::Mechatronics::CamProfileDocumentationBuilder::SetYAxisLabel ( const char *  yLabel)

Sets the y axis label.


Created in NX1847.0.0.

License requirements : nx_mcd_core ("Mechatronics Concept Designer")

Parameters
yLabelylabel
bool NXOpen::Mechatronics::CamProfileDocumentationBuilder::ShowAxisScale ( )

Returns the option to show axis scale.


Created in NX1847.0.0.

License requirements : nx_mcd_core ("Mechatronics Concept Designer")

bool NXOpen::Mechatronics::CamProfileDocumentationBuilder::ShowPoints ( )

Returns the option to show points.


Created in NX1847.0.0.

License requirements : nx_mcd_core ("Mechatronics Concept Designer")

bool NXOpen::Mechatronics::CamProfileDocumentationBuilder::ShowSegmentData ( )

Returns the option to show segment data.


Created in NX1847.0.0.

License requirements : nx_mcd_core ("Mechatronics Concept Designer")

NXString NXOpen::Mechatronics::CamProfileDocumentationBuilder::XAxisLabel ( )

Returns the x axis label.


Created in NX1847.0.0.

License requirements : nx_mcd_core ("Mechatronics Concept Designer")

NXString NXOpen::Mechatronics::CamProfileDocumentationBuilder::YAxisLabel ( )

Returns the y axis label.


Created in NX1847.0.0.

License requirements : nx_mcd_core ("Mechatronics Concept Designer")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.